Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### println()

Examples

    println("begin");
    float f = 0.3;
    println("f is equal to " + f + " and i is equal to " + 1024);
    String s = "end";
    println(s);

    // The above code prints the following lines:
    // begin
    // f is equal to 0.3 and i is equal to 1024
    // end

    float[] f = { 0.3, 0.4, 0.5 };
    println(f);

    // The above code prints:
    // 0.3
    // 0.4
    // 0.5

Description

Writes to the text area of the Processing environment's console. This is often helpful for looking at the data a program is producing. Each call to this function creates a new line of output. Individual elements can be separated with quotes ("") and joined with the string concatenation operator (+). Also writes the content of an array to the text area of the Processing environment. This is often helpful for looking at the data a program is producing. A new line is put between each element of the array. This function can only print 1D arrays, but can test to see if the content are null or not null for 2+ dimensional arrays.

Syntax

    println(data)

Parameters

data | boolean, byte, char, color, int, float, String

Usage | IDE
Related | print()

Updated on December 20, 2005 02:03:00pm PST